function OnObjectEnter(self, object)
  if(object:GetComponentOfType("vHavokRigidBody") ~= nil) then
  
    -- push the object off the floor
    object:GetComponentOfType("vHavokRigidBody"):SetLinearVelocity(Vision.hkvVec3(0, 0, 1500))
    
    -- create a particle effect at the object position
    local effect = Game:CreateEffect(object:GetPosition(), "Particles\\explosion.xml")
    
    -- destroy instance when finished playing
    effect:SetRemoveWhenFinished(true)
    
    -- run the particle effect right away
    effect:SetPaused(false)
    
  end
end